<?php

namespace Teknisa\FIN\Modules\ContaReceber\Factory;

use Teknisa\Model\Financeiro\Entities\Ajbolrec;
use Teknisa\Model\Financeiro\Entities\Ajbolpag;
use Teknisa\Model\Financeiro\Entities\Ajctpagar;
use Teknisa\Model\Financeiro\Entities\Ajctreceber;
use Teknisa\Model\Financeiro\Entities\Compensacontrec;
use Teknisa\Model\Financeiro\Entities\Itemcompcontrec;
use Teknisa\Model\Financeiro\Entities\Movcredbanc;
use Teknisa\Model\Financeiro\Entities\Contapagar;
use Teknisa\Model\Contabilidade\Entities\Lanccont;
use Teknisa\Model\Financeiro\Entities\Contareceber;
use Teknisa\Model\Financeiro\Entities\Boletpagar;
use Teknisa\Model\Financeiro\Entities\Boletreceber;
use Teknisa\Libs\Util\DateUtil;
use Teknisa\Model\Financeiro\Entities\Baixarecebida;
use Teknisa\Model\Financeiro\Entities\Baixapaga;

class Rec18000CompensacaoTitulosReceberFactory
{

    protected $entityManager;

    public function __construct($entityManager)
    {
        $this->entityManager = $entityManager;
    }

    public function getAjusteCompBoletoPag($nrorg, $cdfilial, $nrlanbolpag, $cdajuctpag)
    {
        $parans = array();
        $parans['nrorg'] = $nrorg;
        $parans['cdfilial'] = $cdfilial;
        $parans['nrlanbolpag'] = $nrlanbolpag;
        $parans['cdajuctpag'] = $cdajuctpag;
        $ajbolpag = $this->entityManager->getRepository(Ajbolpag::class)->findOneBy($parans);
        return $ajbolpag;
    }

    public function getLancamentoContabil($cdempresa, $nrlanccont, $nrorg)
    {
        $parans = array();
        $parans['nrorg'] = $nrorg;
        $parans['nrlanccont'] = $nrlanccont;
        $parans['cdempresa'] = $cdempresa;
        $lanccont = $this->entityManager->getRepository(Lanccont::class)->findOneBy($parans);
        return $lanccont;
    }

    public function insereAjusteBoletoPag($cdfilial, $nrlanbolpag, $cdajuctpag, $vrfinalbpag, $idorigemajpag, $nrorg, $operador){
        $ajbolpag = new Ajbolpag();
        $ajbolpag->setCdfilial($cdfilial);
        $ajbolpag->setNrlanbolpag($nrlanbolpag);
        $ajbolpag->setCdajuctpag($cdajuctpag);
        $ajbolpag->setVrajbolpag($vrfinalbpag);
        $ajbolpag->setIdorigajbpag($idorigemajpag);
        $ajbolpag->setNrorg($nrorg);
        $ajbolpag->setDtinclusao(DateUtil::getDataAtual());
        $ajbolpag->setNrorginclusao($nrorg);
        $ajbolpag->setCdoperinclusao($operador);
        return $ajbolpag;
    }

    public function updateAjusteBoletoPag(Ajbolpag $ajbolpag, $valorAjustado){
        $ajbolpag->setVrajbolpag($valorAjustado);
        return $ajbolpag;
    }

    public function getMovimentoCredito($cdreducont, $nrmovicred, $nrorg){
        $parans = array();
        $parans['nrorg'] = $nrorg;
        $parans['cdreducont'] = $cdreducont;
        $parans['nrmovicred'] = $nrmovicred;
        $movcredbanc = $this->entityManager->getRepository(Movcredbanc::class)->findOneBy($parans);
        return $movcredbanc;
    }

    public function atualizaCompensacaoCredito(Movcredbanc $movcredbanc, $idlancomcontrec){
        $movcredbanc->setIdlancomcontrec($idlancomcontrec);
        return $movcredbanc;
    }

    public function getAjusteContaPagar($cdfilial, $nrlanctonf, $nrseqvenpag, $nrparcelapag, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrlanctonf'] = $nrlanctonf;
        $parans['nrseqvenpag'] = $nrseqvenpag;
        $parans['nrparcelapag'] = $nrparcelapag;
        $parans['nrorg'] = $nrorg;
        $contaPagar = $this->entityManager->getRepository(Ajctpagar::class)->findOneBy($parans);
        return $contaPagar;
    }

    public function updateAjusteContaPagar(Ajctpagar $ajctpag, $dtmovfluxo, $idmovfluxo, $nrorg, $cdoperador){
        $ajctpag->setDtmovfluxo($dtmovfluxo);
        $ajctpag->setIdmovfluxo($idmovfluxo);
        $ajctpag->setDtultatu(DateUtil::getDataAtual());
        $ajctpag->setNrorgultatu($nrorg);
        $ajctpag->setCdoperultatu($cdoperador);
        return $ajctpag;
    }

    public function getAjusteContaReceber($cdfilial, $nrlanctonf, $nrseqvenrec, $nrparcelarec, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrlanctonf'] = $nrlanctonf;
        $parans['nrseqvenrec'] = $nrseqvenrec;
        $parans['nrparcelarec'] = $nrparcelarec;
        $parans['nrorg'] = $nrorg;
        $contaReceber = $this->entityManager->getRepository(Ajctreceber::class)->findOneBy($parans);
        return $contaReceber;
    }

    public function updateAjusteContaReceber(Ajctreceber $ajctreceber, $dtmovfluxo, $idmovfluxo, $nrorg, $cdoperador){
        $ajctreceber->setDtmovfluxo($dtmovfluxo);
        $ajctreceber->setIdmovfluxo($idmovfluxo);
        $ajctreceber->setDtultatu(DateUtil::getDataAtual());
        $ajctreceber->setNrorgultatu($nrorg);
        $ajctreceber->setCdoperultatu($cdoperador);
        return $ajctreceber;
    }

    public function getAjusteBoletoReceber($cdfilibrec, $nrlanbolrec, $cdajuctrec, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilibrec;
        $parans['nrlanbolrec'] = $nrlanbolrec;
        $parans['cdajuctrec'] = $cdajuctrec;
        $parans['nrorg'] = $nrorg;
        $ajbolrec = $this->entityManager->getRepository(Ajbolrec::class)->findOneBy($parans);
        return $ajbolrec;
    }

    public function updateAjusteBoletoReceber(Ajbolrec $ajbolrec, $valorAjustado){
        $ajbolrec->setVrajbolrec($valorAjustado);
        return $ajbolrec;
    }

    public function insereAjusteBoletoReceber($cdfilibrec, $nrlanbolrec, $cdajuctrec, $vrajbolrec, $idorigajbrec, $nrorg, $operador){
        $ajbolrec = new Ajbolrec();
        $ajbolrec->setCdfilial($cdfilibrec);
        $ajbolrec->setNrlanbolrec($nrlanbolrec);
        $ajbolrec->setCdajuctrec($cdajuctrec);
        $ajbolrec->setVrajbolrec($vrajbolrec);
        $ajbolrec->setIdorigajbrec($idorigajbrec);
        $ajbolrec->setNrorg($nrorg);
        $ajbolrec->setNrorginclusao($nrorg);
        $ajbolrec->setCdoperinclusao($operador);
        $ajbolrec->setDtinclusao(DateUtil::getDataAtual());
        return $ajbolrec;
    }

    public function getContaPagar($cdfilial, $nrlanctonf, $nrseqvenpag, $nrparcelapag, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrlanctonf'] = $nrlanctonf;
        $parans['nrseqvenpag'] = $nrseqvenpag;
        $parans['nrparcelapag'] = $nrparcelapag;
        $parans['nrorg'] = $nrorg;
        $contaPagar = $this->entityManager->getRepository(Contapagar::class)->findOneBy($parans);
        return $contaPagar;
    }

    public function updateContaPagar(Contapagar $contaPagar, $idmovfluxo, $idstatpag, $dtmovfluxo, $nrorg, $operador){
        $contaPagar->setIdmovfluxo($idmovfluxo);
        $contaPagar->setIdstatpag($idstatpag);
        $contaPagar->setDtmovfluxo($dtmovfluxo);
        $contaPagar->setCdoperultatu($operador);
        $contaPagar->setDtultatu(DateUtil::getDataAtual());
        $contaPagar->setNrorgultatu($nrorg);
        return $contaPagar;
    }

    public function getContaReceber($cdfilial, $nrlanctonf, $nrseqvenrec, $nrparcelarec, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrlanctonf'] = $nrlanctonf;
        $parans['nrseqvenrec'] = $nrseqvenrec;
        $parans['nrparcelarec'] = $nrparcelarec;
        $parans['nrorg'] = $nrorg;
        $contaReceber = $this->entityManager->getRepository(ContaReceber::class)->findOneBy($parans);
        return $contaReceber;
    }

    public function updateContaReceber(ContaReceber $contaReceber, $idmovfluxo, $idstatrec, $dtmovfluxo, $nrorg, $operador){
        $contaReceber->setIdmovfluxo($idmovfluxo);
        $contaReceber->setIdstatrec($idstatrec);
        $contaReceber->setDtmovfluxo($dtmovfluxo);
        $contaReceber->setCdoperultatu($operador);
        $contaReceber->setDtultatu(DateUtil::getDataAtual());
        $contaReceber->setNrorgultatu($nrorg);
        return $contaReceber;
    }

    public function getTipoAjusteContaReceber($nrorg, $cdfilial, $nrlanctonf, $nrparcelarec, $nrseqvenrec){
        $params = array();
        $params['nrorg'] = $nrorg;
        $params['cdfilial'] = $cdfilial;
        $params['nrlanctonf'] = $nrlanctonf;
        $params['nrparcelarec'] = $nrparcelarec;
        $params['nrseqvenrec'] = $nrseqvenrec;

        $sql = 'SELECT AR.CDFILIAL    , AR.NRLANCTONF  , AR.NRSEQVENREC, AR.NRPARCELAREC,
                       AR.DTAJUSTEREC , AR.CDAJUCTREC  , TA.IDAJUCTREC , AR.CDCLASSFINA ,
                       AR.CDEMMFAJCNTR, AR.CDFIMFAJCNTR, AR.DTMOVFLUXO , AR.IDMOVFLUXO  ,
                       AR.VRAJUSTEREC
                  FROM AJCTRECEBER AR, TIPOAJRECEBER TA, CONTARECEBER CT
                 WHERE (CT.NRORG     = :NRORG    ) AND
                       (CT.CDFILIAL     = :CDFILIAL    ) AND
                       (CT.NRLANCTONF   = :NRLANCTONF  ) AND
                       (CT.NRSEQVENREC  = :NRSEQVENREC ) AND
                       (CT.NRPARCELAREC = :NRPARCELAREC) AND
                       (AR.CDFILIAL     = CT.CDFILIAL    ) AND
                       (AR.NRLANCTONF   = CT.NRLANCTONF  ) AND
                       (AR.NRSEQVENREC  = CT.NRSEQVENREC ) AND
                       (AR.NRPARCELAREC = CT.NRPARCELAREC) AND
                       (AR.NRORG        = CT.NRORG    ) AND
                       (TA.CDAJUCTREC   = AR.CDAJUCTREC) AND
                       (TA.NRORG        = AR.NRORG    )';
        $std = $this->entityManager->getConnection()->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

    public function getBoletosAjusteContaPagar($nrorg, $cdfilial, $nrlanctonf, $nrparcelapag, $nrseqvenpag){
       /* $params = array();
        $params['nrorg'] = $nrorg;
        $params['cdfilial'] = $cdfilial;
        $params['nrlanctonf'] = $nrlanctonf;
        $params['nrparcelapag'] = $nrparcelapag;
        $params['nrseqvenpag'] = $nrseqvenpag;

        $sql = 'SELECT AR.CDFILIAL    , AR.NRLANCTONF  , AR.NRSEQVENPAG, AR.NRPARCELAPAG,
                       AR.DTAJUSTEPAG , AR.CDAJUCTPAG  , TA.IDAJUCTPAG , AR.CDCLASSFINA ,
                       AR.CDEMMFAJCNTP, AR.CDFIMFAJCNTP, AR.DTMOVFLUXO , AR.IDMOVFLUXO  ,
                       AR.VRAJUSTEPAG
                  FROM AJCTPAGAR AR
                  JOIN CONTAPAGAR CT
                    ON (CT.CDFILIAL     = :CDFILIAL      ) AND
                       (CT.NRLANCTONF   = :NRLANCTONF    ) AND
                       (CT.NRSEQVENPAG  = :NRSEQVENPAG   ) AND
                       (CT.NRPARCELAPAG = :NRPARCELAPAG  ) AND
                       (CT.NRORG        = :NRORG         ) AND
                       (AR.CDFILIAL     = CT.CDFILIAL    ) AND
                       (AR.NRLANCTONF   = CT.NRLANCTONF  ) AND
                       (AR.NRSEQVENPAG  = CT.NRSEQVENPAG ) AND
                       (AR.NRPARCELAPAG = CT.NRPARCELAPAG) AND
                       (AR.NRORG        = CT.NRORG       )
                  JOIN TIPOAJPAGAR TA
                    ON (TA.CDAJUCTPAG   = AR.CDAJUCTPAG)
                   AND (TA.NRORG   = AR.NRORG)';
        $std = $this->entityManager->getConnection()->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();*/
    }

    /*SELECT 'N' AS IDMARCADO, NF.CDEMPRESA, NF.CDFILIRECE, FI.NMFILIAL,
       CP.CDFILIBPAG, BO.NRLANBOLPAG, BO.DTVENBOLPAG, BO.VRFINALBPAG,
       FO.NRINSJURFORN, FO.IDTPIJURFORN, FO.NMRAZSOCFORN, FO.CDFORNECED,
       CP.CDFILIAL, CP.NRLANCTONF, CP.NRSEQVENPAG, CP.NRPARCELAPAG, CP.VRATUAPAG AS VRORIGPAG,
       CP.CDFIMOVFLPAG, CP.CDCLASSFINA, CP.DTMOVFLUXO, NF.DTENTRSAID,
       TO_CHAR(BO.DTVENBOLPAG, 'DD/MM/YYYY') AS VENCIMENTO,
       TO_CHAR(CP.VRATUAPAG)   AS VRORIGINAL,
       TO_CHAR(BO.VRFINALBPAG) AS VRLIQUIDO,
       NF.NRNOTAFISC, NF.CDSERIEENTR,
       (NF.NRNOTAFISC || '/' || NF.CDSERIEENTR) AS DOCUMENTO
  FROM BOLETPAGAR BO, FORNECEDOR FO, CONTAPAGAR CP, NOTAFISCAL NF, FILIAL FI, TIPOCTPAGAR TP,
       COMPENSACONTPAG CMP
 WHERE BO.CDEMPRESA = CMP.CDEMPRESA
   AND BO.CDFORNECED = FO.CDFORNECED
   AND CP.CDFILIBPAG = BO.CDFILIAL
   AND CP.NRLANBOLPAG = BO.NRLANBOLPAG
   AND CP.CDFILIAL = NF.CDFILIAL
   AND CP.NRLANCTONF = NF.NRLANCTONF
   AND NF.CDFILIRECE = FI.CDFILIAL
   AND CP.CDTPCTPAGAR = TP.CDTPCTPAGAR
   AND CMP.CDEMPRESA = :CDEMPRESA
   AND CMP.NRLANCCOMPPAG = :NRLANCCOMPPAG
   AND BO.CDFILIAL = CMP.CDFILIAL
   AND BO.NRLANBOLPAG = CMP.NRLANBOLPAG
ORDER BY
   BO.DTVENBOLPAG, FO.CDFORNECED, NF.NRNOTAFISC, NF.CDSERIEENTR
*/

    public function getBoletoReceber($cdfilibrec, $nrlanbolrec, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilibrec;
        $parans['nrlanbolrec'] = $nrlanbolrec;
        $parans['nrorg'] = $nrorg;
        $boletReceber = $this->entityManager->getRepository(boletReceber::class)->findOneBy($parans);
        return $boletReceber;
    }

    public function atualizaAjusteBoletoReceber(Boletreceber $boletReceber, $vrfinalbrec, $nrorg, $operador){
        $boletReceber->setVrfinalbrec($vrfinalbrec);
        $boletReceber->setCdoperultatu($operador);
        $boletReceber->setDtultatu(DateUtil::getDataAtual());
        $boletReceber->setNrorgultatu($nrorg);
        return $boletReceber;
    }

    public function atualizaBoletoReceber(Boletreceber $boletReceber, $idstatus, $idsitucnabr, $nrbaixarec, $filialbaixa, $cdtpbaixarec, $operador, $nrorg){
        $boletReceber->setIdstatbrec($idstatus);
        $boletReceber->setNrbaixarec($nrbaixarec);
        $boletReceber->setCdfilibairec($filialbaixa);
        $boletReceber->setCdtpbaixarec($cdtpbaixarec);
        $boletReceber->setIdsitucnabr($idsitucnabr);
        $boletReceber->setCdoperultatu($operador);
        $boletReceber->setDtultatu(DateUtil::getDataAtual());
        $boletReceber->setNrorgultatu($nrorg);
        return $boletReceber;
    }

    public function getBaixaRecebida($cdfilial, $nrbaixarec, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrbaixarec'] = $nrbaixarec;
        $parans['nrorg'] = $nrorg;
        $baixaRecebida = $this->entityManager->getRepository(Baixarecebida::class)->findOneBy($parans);
        return $baixaRecebida;
    }

    public function insereBaixaPaga($empresa, $nrmovbanc, $nrlctbbpag, $nrbaixapag, $nrrecibopag,
        $idstatusbpag, $vrbaixa, $operador, $cdreducont, $dtbaixacomp,
        $cdfilial, $cdtpbaixapag, $dsbaixapag, $nrorg){

        $baixaPaga = new Baixapaga();
        $baixaPaga->setCdempresa($empresa);
        $baixaPaga->setCdfilial($cdfilial);
        $baixaPaga->setNrbaixapag($nrbaixapag);
        $baixaPaga->setDtbaixapag($dtbaixacomp);
        $baixaPaga->setVrbaixapag($vrbaixa);
        $baixaPaga->setDtlancbaixap(DateUtil::getDataAtual());
        $baixaPaga->setCdoperador($operador);
        $baixaPaga->setCdtpbaixapag($cdtpbaixapag);
        $baixaPaga->setCdreducont($cdreducont);
        $baixaPaga->setDsbaixapag($dsbaixapag);
        $baixaPaga->setNrorg($nrorg);
        $baixaPaga->setNrorginclusao($nrorg);
        $baixaPaga->setDtinclusao(DateUtil::getDataAtual());
        $baixaPaga->setCdoperinclusao($operador);
        $baixaPaga->setNrmovbanc($nrmovbanc);
        $baixaPaga->setNrlctbbpag($nrlctbbpag);
        $baixaPaga->setIdstatusbpag($idstatusbpag);
        return $baixaPaga;
    }

    public function insereBaixaRec($cdempresa, $filproc, $cdtpbaixarec, $documento, $cdreducont, $valorbaixa,
        $cdfilibrec, $nrlanbolrec, $nrorg, $operador, $nrbaixarec, $nrreciborec){
        $baixaRecebida = new Baixarecebida;
        $baixaRecebida->setCdempresa($cdempresa);
        $baixaRecebida->setCdfilial($filproc);
        $baixaRecebida->setNrbaixarec($nrbaixarec);
        $baixaRecebida->setDtbaixarec(DateUtil::getDataAtual());
        $baixaRecebida->setVrbaixarec($valorbaixa);
        $baixaRecebida->setDtlancbaixar(DateUtil::getDataAtual());
        $baixaRecebida->setCdoperador($operador);
        $baixaRecebida->setCdtpbaixarec($cdtpbaixarec);
        $baixaRecebida->setCdreducont($cdreducont);
        $baixaRecebida->setNrreciborec($nrreciborec);
        $baixaRecebida->setDsbaixarec($documento);
        $baixaRecebida->setNrorg($nrorg);
        $baixaRecebida->setNrorginclusao($nrorg);
        $baixaRecebida->setDtinclusao(DateUtil::getDataAtual());
        $baixaRecebida->setCdoperinclusao($operador);
        return $baixaRecebida;
    }

    public function getBaixapaga($cdfilial, $nrbaixapag, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrbaixapag'] = $nrbaixapag;
        $parans['nrorg'] = $nrorg;
        $baixaPaga = $this->entityManager->getRepository(Baixapaga::class)->findOneBy($parans);
        return $baixaPaga;
    }

    public function getBoletosPag($cdfilial, $nrlanbolpag, $nrorg){
        $parans = array();
        $parans['cdfilial'] = $cdfilial;
        $parans['nrlanbolpag'] = $nrlanbolpag;
        $parans['nrorg'] = $nrorg;
        $boletPagar = $this->entityManager->getRepository(Boletpagar::class)->findOneBy($parans);
        return $boletPagar;
    }

    public function atualizaAjusteBoletoPagar(Boletpagar $boletPagar, $vrfinalbpag, $idbpagreal, $nrorg, $operador){
        $boletPagar->setVrfinalbpag($vrfinalbpag);
        $boletPagar->setIdbpagreal($idbpagreal);
        $boletPagar->setCdoperultatu($operador);
        $boletPagar->setDtultatu(DateUtil::getDataAtual());
        $boletPagar->setNrorgultatu($nrorg);
        return $boletPagar;
    }

    public function atualizaBoletosPag(Boletpagar $boletPagar, $status, $nrbaixa, $filialbaixa, $cdtpbaixapag, $nrorg, $operador){
        $boletPagar->setIdstatbpag($status);
        $boletPagar->setNrbaixapag($nrbaixa);
        $boletPagar->setCdfilibaipag($filialbaixa);
        $boletPagar->setCdtpbaixapag($cdtpbaixapag);
        $boletPagar->setDtliqbolpag(DateUtil::getDataAtual());
        $boletPagar->setNrorgultatu($nrorg);
        $boletPagar->setDtultatu(DateUtil::getDataAtual());
        $boletPagar->setCdoperultatu($operador);
        return $boletPagar;
    }

    public function insereCompensacontrec($cdempresa, $nrcompensacao, $cdfilial, $nrlanbolrec, $cdoperlancomrec, $cdcliente, $cdtpbaixapag,
        $cdtpbaixarec, $cdajuctpag, $cdajuctrec, $cdreducont, $cdfiliproc, $nrbaixapag, $cdfilibrec, $nrbaixarec,
        $idtpitutlcomrec, $qtitenscomprec, $vrtotalcomprec, $nrorg, $cdoperador){
        $compensaContRec = new Compensacontrec();
        $compensaContRec->setCdempresa($cdempresa);
        $compensaContRec->setNrlanccomprec($nrcompensacao);
        $compensaContRec->setCdfilial($cdfilibrec);
        $compensaContRec->setCdfilialbairec($cdfiliproc);
        $compensaContRec->setNrlanbolrec($nrlanbolrec);
        $compensaContRec->setCdoperlancomrec($cdoperlancomrec);
        $compensaContRec->setCdcliente($cdcliente);
        $compensaContRec->setCdtpbaixapag($cdtpbaixapag);
        $compensaContRec->setCdtpbaixarec($cdtpbaixarec);
        $compensaContRec->setCdajuctpag($cdajuctpag);
        $compensaContRec->setCdajuctrec($cdajuctrec);
        $compensaContRec->setCdreducont($cdreducont);
        $compensaContRec->setCdfilialbaipag($cdfiliproc);
        $compensaContRec->setNrbaixapag($nrbaixapag);
        $compensaContRec->setNrbaixarec($nrbaixarec);
        $compensaContRec->setDtlancomcontrec(DateUtil::getDataAtual());
        $compensaContRec->setDtcompcontrec(DateUtil::getDataAtual());
        $compensaContRec->setDtbaixacomprec(DateUtil::getDataAtual());
        $compensaContRec->setIdtpitutlcomrec($idtpitutlcomrec);
        $compensaContRec->setQtitcomcontrec($qtitenscomprec);
        $compensaContRec->setVrtotalcomrec($vrtotalcomprec);
        $compensaContRec->setNrorg($nrorg);
        $compensaContRec->setNrorginclusao($nrorg);
        $compensaContRec->setDtinclusao(DateUtil::getDataAtual());
        $compensaContRec->setCdoperinclusao($cdoperador);
        return $compensaContRec;
    }

    public function insereItensCompensacaoReceber($cdempresa, $nrlanccomprec, $nrseqitcomprec, $cdfilial, $nrlanbolpag,
                                                $cdreducont, $nrmovicred, $vritemcomprec, $nrorg, $cdoperador){
        $itemCompensaContRec = new Itemcompcontrec();
        $itemCompensaContRec->setCdempresa($cdempresa);
        $itemCompensaContRec->setNrlanccomprec($nrlanccomprec);
        $itemCompensaContRec->setCdfilial($cdfilial);
        $itemCompensaContRec->setNrlanbolpag($nrlanbolpag);
        $itemCompensaContRec->setNrseqitcomprec($nrseqitcomprec);
        $itemCompensaContRec->setCdreducont($cdreducont);
        $itemCompensaContRec->setNrmovicred($nrmovicred);
        $itemCompensaContRec->setVritemcomprec($vritemcomprec);
        $itemCompensaContRec->setNrorg($nrorg);
        $itemCompensaContRec->setNrorginclusao($nrorg);
        $itemCompensaContRec->setDtinclusao(DateUtil::getDataAtual());
        $itemCompensaContRec->setCdoperinclusao($cdoperador);
        return $itemCompensaContRec;
    }

    public function getItensCompensados($cdempresa, $nrlanccomprec, $nrorg){
        $parans = array();
        $parans['cdempresa'] = $cdempresa;
        $parans['nrlanccomprec'] = $nrlanccomprec;
        $parans['nrorg'] = $nrorg;
        $itemcompcontrec = $this->entityManager->getRepository(Itemcompcontrec::class)->findBy($parans);
        return $itemcompcontrec;
    }

    public function getCompensacao($cdempresa, $nrlanccomprec, $nrorg){
        $parans = array();
        $parans['cdempresa'] = $cdempresa;
        $parans['nrlanccomprec'] = $nrlanccomprec;
        $parans['nrorg'] = $nrorg;
        $compensacontrec = $this->entityManager->getRepository(Compensacontrec::class)->findOneBy($parans);
        return $compensacontrec;
    }
}
?>